## org.apache.poi.hwpf.model
Class Ffn

    java.lang.Object
      org.apache.poi.hwpf.model.Ffn

    @Internal
    public final class Ffn

extends java.lang.Object

FFN - Font Family Name. FFN is a data structure that stores the names of the Main Font and that of Alternate font as an array of characters. It has also a header that stores info about the whole structure and the fonts

Author:
  Praveen Mathew

Constructor Summary
`Ffn(byte[] buf, int offset)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `get_cbFfnM1()`
`java.lang.String` `getAltFontName()`
`byte` `getChs()`
`byte[]` `getFontSig()`
`java.lang.String` `getMainFontName()`
`byte[]` `getPanose()`
`int` `getSize()`
`short` `getWeight()`
`void` `set_cbFfnM1(int _cbFfnM1)`
`byte[]` `toByteArray()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ffn

    public Ffn(byte[] buf,
               int offset)

Method Detail

### get_cbFfnM1

    public int get_cbFfnM1()

### getWeight

    public short getWeight()

### getChs

    public byte getChs()

### getPanose

    public byte[] getPanose()

### getFontSig

    public byte[] getFontSig()

### getSize

    public int getSize()

### getMainFontName

    public java.lang.String getMainFontName()

### getAltFontName

    public java.lang.String getAltFontName()

### set_cbFfnM1

    public void set_cbFfnM1(int _cbFfnM1)

### toByteArray

    public byte[] toByteArray()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.